<template>
  <div class="faq-page">
    <content-header v-if="$isAuthenticated"></content-header>
    <header class="header" v-else>
      <div class="app-container">
        <div class="algin-middle">
          <router-link to="/login">
            <img src="/images/hetachain_headerlogo.png" alt="logo" class="logo">
          </router-link>

          <div class="auth-box">
            <router-link to="/register" class="list-item">
              {{$t('guide.register')}}
            </router-link>
            <router-link to="/login">
              {{$t('guide.signin')}}
            </router-link>
          </div>
        </div>
      </div>
    </header>
    <div class="faq">
      <div class="title">
        FAQ
      </div>
      <question v-for="(question, index) in questions" :question="question" :key="question.id"></question>
    </div>
    <content-footer v-if="$isAuthenticated"></content-footer>
    <guest-page-footer style="position: static;" v-else></guest-page-footer>
  </div>
</template>

<script>
import Question from '../components/faq/Question';
import FaqMixin from '../../common/components/faq/FaqMixin';
import GuestPageFooter from '../components/GuestPageFooter.vue';
import ContentFooter from './Layout/Footer.vue';
import ContentHeader from './Layout/Header.vue';

export default {
  components: {
    Question,
    GuestPageFooter,
    ContentFooter,
    ContentHeader
  },
  mixins: [FaqMixin],
};
</script>

<style lang="scss" scoped>
  @import '../../../sass/variables';
  .faq-page {
    header {
      height: 100px;
      min-width: 1280px;
      padding: 0 25px;
      background-image: linear-gradient(to bottom, #191232, #21345c);
      .app-container {
        line-height: 100px;
        width: 1230px;
        margin: auto;
      }
      .logo {
        height: 40px !important;
        margin-bottom: 0;
      }
      .auth-box {
        float: right;

        a {
          display: inline-block;
          padding-left: 28px;
          font-size: $medium;
          font-weight: bold;
          color: #cacaca;
          transition: all 0.3s ease-in-out;

          &:active {
            color: $orange;
          }

          &:hover {
            color: $orange;
            text-decoration: none;
          }
        }
      }
    }
  }
.faq {
  max-width: 1130px;
  margin: 0 auto;
  padding-bottom: 55px;

  .title {
    padding: 46px 0 13px;
    font-size: 30px;
    font-weight: bold;
    color: #1c1c1c;
    border-bottom: 1px solid #e0e0e0;
  }

}
@media screen and (max-width: 1200px) {
  .faq {
    padding: 56px 20px 80px;
    .title {
      padding-top: 0;
    }
  }
}
</style>

<style lang="scss">
  .question-wapper .answer {
    font-size: 16px !important;
  }
</style>
